Subject: Problem with anonymous uploads

From: Joel Turoff <[email-masked]>
Date: Wed, 18 Feb 1998 14:43:00 +0000

Greetings!

I'm having a bit of a problem allowing anonymous users to upload files to
the /incoming directory.

We are running (Version wu-2.4(1) - (yes, I know it's old, and I *will*
upgrade, but I'd like to get this solved first).  The system is a BSD 3.1
server using the ftpd that came with the OS.

Basically, when I try to follow the instructions in the faq to permit
secure uploads, anonymous users get the following error message:

	553 Could not determine cwdir: Permission denied.

If I do not call the ftpaccess file and make the permissions on /incoming
rwxrwxrwt, it works fine.  But as soon as I take out the read bit, I run
into problems.

The ftp daemon's home directory is /var/spool/ftpdirs/ftp

Here are the permissions on /var/spool/ftpdirs/ftp:

drwxr-xr-x  2 root  wheel  512 Oct 14 08:01 bin
drwxr-xr-x  2 root  wheel  512 Oct 14 08:21 etc
drwx--x--x  2 root  wheel  512 Oct 14 08:01 hidden
drwx-wx-wt  2 root  wheel  512 Feb 17 20:49 incoming
drwxr-xr-x  3 root  wheel  512 Feb  2 21:28 pub
drwxr-xr-x  2 root  wheel  512 Oct 14 08:01 shlib

Here is the ftpaccess file being called:

_______________

class   all   real,guest,anonymous  *

limit   all   50   Any              /etc/msgs/msg.dead

readme  README*    login
readme  README*    cwd=*

message /welcome.msg            login
message .message                cwd=*

compress        yes             local remote
tar             yes             local remote

#log commands real
#log transfers anonymous,real inbound,outbound

path-filter anonymous /etc/paths.msg ^[-A-Za-z0-9\._]*$ ^\. ^-

shutdown /etc/shutmsg
ftpshut /etc/ftpshut

email user@hostname

passwd-check trivial warn
#

upload   /var/spool/ftpdirs/ftp    /incoming   yes root wheel 0400 nodirs

__________________________________

I'd greatly appreciate any insight into solving this problem.

TIA,

Joel
[email-masked]